Debian Bug report logs - #676104
liblastfm: FTBFS: /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- admin/findsrc (LoadError)

version graph

Package: src:liblastfm; Maintainer for src:liblastfm is John Stamp <jstamp@users.sourceforge.net>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 4 Jun 2012 22:48:06 UTC

Severity: serious

Tags: sid, wheezy

Found in version liblastfm/0.4.0~git20090710-1

Fixed in version liblastfm/0.4.0~git20090710-2

Done: John Stamp <jstamp@users.sourceforge.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, John Stamp <jstamp@users.sourceforge.net>:
Bug#676104; Package src:liblastfm. (Mon, 04 Jun 2012 22:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to John Stamp <jstamp@users.sourceforge.net>. (Mon, 04 Jun 2012 22:48:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: liblastfm: FTBFS: /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- admin/findsrc (LoadError)
Date: Tue, 5 Jun 2012 00:28:27 +0200
Source: liblastfm
Version: 0.4.0~git20090710-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120604 qa-ftbfs
User: debian-ruby@lists.debian.org
Usertags: default19
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  debian/rules build
> dh_testdir
> ./configure --release --prefix /usr --no-strip
> ==> Configuring liblastfm-0.4.0... 
> Using /usr/bin/qmake
> ==> Determining installation prefix 
> Will install to: /usr
> ==> Generating Build System 
> ==> Generating .qmake.env 
> ==> Running qpp... 
> /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- admin/findsrc (LoadError)
> 	from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
> 	from admin/qpp:7:in `<main>'
> /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- admin/findsrc (LoadError)
> 	from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
> 	from admin/qpp:7:in `<main>'
> ==> Configuring qmake... 
> ==> Generating Makefile... 
> /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- admin/platform.rb (LoadError)
> 	from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
> 	from admin/Makefile.rb:9:in `<main>'
> 
> Good, your configure is finished! Now type: make
> touch config-stamp
> dh_testdir
> # Add here commands to compile the package.
> /usr/bin/make headers __src __fingerprint
> make[1]: Entering directory `/«PKGBUILDDIR»'
> make[1]: *** No rule to make target `headers'.  Stop.
> make[1]: Leaving directory `/«PKGBUILDDIR»'
> make: *** [build-stamp] Error 2

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/06/04/liblastfm_0.4.0~git20090710-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.




Added tag(s) pending. Request was from John Stamp <jstamp@users.sourceforge.net> to control@bugs.debian.org. (Sat, 09 Jun 2012 19:27:03 GMT) Full text and rfc822 format available.

Reply sent to John Stamp <jstamp@users.sourceforge.net>:
You have taken responsibility. (Wed, 18 Jul 2012 04:18:04 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 18 Jul 2012 04:18:04 GMT) Full text and rfc822 format available.

Message #12 received at 676104-close@bugs.debian.org (full text, mbox):

From: John Stamp <jstamp@users.sourceforge.net>
To: 676104-close@bugs.debian.org
Subject: Bug#676104: fixed in liblastfm 0.4.0~git20090710-2
Date: Wed, 18 Jul 2012 04:17:13 +0000
Source: liblastfm
Source-Version: 0.4.0~git20090710-2

We believe that the bug you reported is fixed in the latest version of
liblastfm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 676104@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
John Stamp <jstamp@users.sourceforge.net> (supplier of updated liblastfm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 16 Jul 2012 20:21:22 -0700
Source: liblastfm
Binary: liblastfm-dev liblastfm0 liblastfm-fingerprint0 liblastfm-dbg
Architecture: source amd64
Version: 0.4.0~git20090710-2
Distribution: unstable
Urgency: medium
Maintainer: John Stamp <jstamp@users.sourceforge.net>
Changed-By: John Stamp <jstamp@users.sourceforge.net>
Description: 
 liblastfm-dbg - Debugging symbols for the Last.fm web services library
 liblastfm-dev - The Last.fm web services library - development files
 liblastfm-fingerprint0 - The Last.fm fingerprinting library
 liblastfm0 - The Last.fm web services library
Closes: 676104
Changes: 
 liblastfm (0.4.0~git20090710-2) unstable; urgency=medium
 .
   * Fix compilation with ruby1.9.1 >= 1.9.2 (Closes: #676104)
   * Use source format 3.0 (quilt)
Checksums-Sha1: 
 380cec4d6333747fcf1ec3b7058f4f0030d557d0 2094 liblastfm_0.4.0~git20090710-2.dsc
 61293ec9ec8bd1b9116db527dbf0fcb8320a10da 3938 liblastfm_0.4.0~git20090710-2.debian.tar.gz
 f06649024a0cf3025ccfc0866afc3f4ff16e6262 24918 liblastfm-dev_0.4.0~git20090710-2_amd64.deb
 7124a736ec0f060cc1200a66331be083e070bb9f 115382 liblastfm0_0.4.0~git20090710-2_amd64.deb
 f5b427a328479c9e13798231c22323ac917faa1b 53910 liblastfm-fingerprint0_0.4.0~git20090710-2_amd64.deb
 023d432942878eda3a9cb4083293fa211a8844f0 19668 liblastfm-dbg_0.4.0~git20090710-2_amd64.deb
Checksums-Sha256: 
 2855ab97342d72298a1a5c46dd71822b16488803d3154883e6ce94eb78ee835f 2094 liblastfm_0.4.0~git20090710-2.dsc
 88e096b86a4a7ffad38f475ee0778838131edb163243f61ef8e055ef2d47970d 3938 liblastfm_0.4.0~git20090710-2.debian.tar.gz
 b037beabdafbc1afcc95755054e7e9eff9826a12238723ccd9b88e82245e7f59 24918 liblastfm-dev_0.4.0~git20090710-2_amd64.deb
 9a2a3e2e4ace100c32a2a99b68d4f222dab099fca1aa59ee2e8d448460902772 115382 liblastfm0_0.4.0~git20090710-2_amd64.deb
 49ff27e726c526e64620cee429f8deeabc6b42fc5a295053002dfd3cfd179c0c 53910 liblastfm-fingerprint0_0.4.0~git20090710-2_amd64.deb
 87819513b3e48c9d82c473c7f24985a9c7e813aa91ce2674a417b948a9ddcc4f 19668 liblastfm-dbg_0.4.0~git20090710-2_amd64.deb
Files: 
 3a751285203a8b0664262cf8f2d460cb 2094 libs extra liblastfm_0.4.0~git20090710-2.dsc
 bdcaa4b4c032a97a2c5bbf20094eb72e 3938 libs extra liblastfm_0.4.0~git20090710-2.debian.tar.gz
 d0b96a5c32bbc65560cf79715933a346 24918 libdevel extra liblastfm-dev_0.4.0~git20090710-2_amd64.deb
 48451c260822af7dfa82dab71446e110 115382 libs extra liblastfm0_0.4.0~git20090710-2_amd64.deb
 828333047dc70b99abc3b8dcd3d1d47f 53910 libs extra liblastfm-fingerprint0_0.4.0~git20090710-2_amd64.deb
 8b1b7daca08d647befd43c1a75730a6f 19668 debug extra liblastfm-dbg_0.4.0~git20090710-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJQBjdeAAoJEDNV9NY7WCHMzrwQAIdnUCEXxhZFdv1BDNK8IvmJ
xUxzqovHpWAtkUN/iQLj11AAr8tUGyGGO8PEl9MYah+Jv/ViBD/XTzbgJB2BzMHI
tNv0H/fb7Em9+eB/+yatGDyrWQk9AqsBRVtd9wWQSCGp5riErjILKRN3Zu9IkO3C
9VH1LWFjvyHrOrmqoRRyegpee+UaZJmfQvaGkZHzFb/TtSORwAauZXn0If8BuTb0
Tpotr+6WBeED2VMZsJOByIcAEjOa9O2HA9X5NjzgpL8x89k4jEvvt/L5hZs19s4A
hQk8hg0nlH8gRgH3OwuuMvHe17PexFBpZDUT9C2g9fmIP01bOCjlZrCpIkqUzs5x
sEZwFGdRbs7eBGzWBzDgPYOGfHyygLDMWfNUHCHmOALZgB2ih73Mmt2CR9gobyq+
837H41ozOCmxI43C5S6N5uy7CZ6ocojzuYa4x7E7BzGyErRpmKRkL3aXOdCvIidM
t0U+rRuNObRmPiAhZ2vl9N1+6uBLX7ZXKHWhUVl7XzuCljeAOKCWDDrd14F8QmJs
6JikjTnJu3rHccgsvGwY2YWawDwWdw1aYrXD9WCREjcp+lfNlUhAPSaaPNDAm+wq
K0l83LovScomaWZqm9k+2vwdraqw/cr0jmC31yj8DfB2BeejS5tTUP3wqP8SD1tj
23PvmvBiJboV8MACf2IX
=KUxW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Aug 2012 07:26:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:16:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.